Page MenuHomePhabricator

AMDGPU: Improve load/store of illegal types.
ClosedPublic

Authored by arsenm on May 24 2016, 12:10 PM.

Details

Reviewers
tstellarAMD
Summary

There was a combine before to handle the simple copy case.
Split this into handling loads and stores separately.

We might want to change how this handles some of the vector
extloads, since this can result in large code size increases.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 58289.May 24 2016, 12:10 PM
arsenm retitled this revision from to AMDGPU: Improve load/store of illegal types..
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
arsenm updated this revision to Diff 59956.Jun 7 2016, 2:51 PM

Cleanup and fix tests on trunk

tstellarAMD accepted this revision.Jun 14 2016, 6:11 PM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jun 14 2016, 6:11 PM
arsenm closed this revision.Jul 1 2016, 3:55 PM

r274394